Package org.apache.uima.collection.metadata

# Interface CpeCollectionReaderCasInitializer

All Superinterfaces:
  `Cloneable`, `MetaDataObject`, `Serializable`, `XMLizable`

@Deprecated public interface CpeCollectionReaderCasInitializer extends MetaDataObject
Deprecated.
As of v2.0 CAS Initializers are deprecated.
An object that holds configuration that is part of the CPE descriptor. Provides the means of setting descriptor path containing CasInitializer configuration

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CasProcessorConfigurationParameterSettings`
  `getConfigurationParameterSettings()`
  Deprecated.
  Returns `CasProcessorConfigurationParameterSettings` object containing overrides to parameter settings for this CasInitializer.
  `CpeComponentDescriptor`
  `getDescriptor()`
  Deprecated.
  Returns `CpeComponentDescriptor` containing CasInitializer descriptor path.
  `CpeSofaMappings`
  `getSofaNameMappings()`
  Deprecated.
  `void`
  `setConfigurationParameterSettings(CasProcessorConfigurationParameterSettings aSettings)`
  Deprecated.
  Sets the `CasProcessorConfigurationParameterSettings` object containing overrides to parameter settings for this CasInitializer.
  `void`
  `setDescriptor(CpeComponentDescriptor aDescriptor)`
  Deprecated.
  Sets descriptor path containing configuration for the CasInitializer
  `void`
  `setSofaNameMappings(CpeSofaMappings mappings)`
  Deprecated.

  ### Methods inherited from interface org.apache.uima.resource.metadata.MetaDataObject

  `clone, equals, getAttributeValue, getSourceUrl, getSourceUrlString, isModifiable, listAttributes, setAttributeValue, setSourceUrl`

  ### Methods inherited from interface org.apache.uima.util.XMLizable

  `buildFromXMLElement, buildFromXMLElement, toXML, toXML, toXML, toXML`

- ## Method Details

  - ### setDescriptor

    void setDescriptor(CpeComponentDescriptor aDescriptor)
    Deprecated.
    Sets descriptor path containing configuration for the CasInitializer
    Parameters:
      `aDescriptor` - - descriptor path

  - ### getDescriptor

    CpeComponentDescriptor getDescriptor()
    Deprecated.
    Returns `CpeComponentDescriptor` containing CasInitializer descriptor path.
    Returns:
      `CpeComponentDescriptor`

  - ### getConfigurationParameterSettings

    CasProcessorConfigurationParameterSettings getConfigurationParameterSettings()
    Deprecated.
    Returns `CasProcessorConfigurationParameterSettings` object containing overrides to parameter settings for this CasInitializer.
    Returns:
      - object containing parameter setting overrides

  - ### setConfigurationParameterSettings

    void setConfigurationParameterSettings(CasProcessorConfigurationParameterSettings aSettings) throws CpeDescriptorException
    Deprecated.
    Sets the `CasProcessorConfigurationParameterSettings` object containing overrides to parameter settings for this CasInitializer.
    Parameters:
      `aSettings` - object containing parameter setting overrides
    Throws:
      `CpeDescriptorException` - tbd

  - ### getSofaNameMappings

    CpeSofaMappings getSofaNameMappings()
    Deprecated.

  - ### setSofaNameMappings

    void setSofaNameMappings(CpeSofaMappings mappings)
    Deprecated.
    Parameters:
      `mappings` - the sofa mappings